sanity-i386:
  extends:
    - .sanity
  variables:
    ARCH: i386
    DEVICE_TYPE: i386
  needs:
    - build-i386-gcc-9
    - job: download_prerequisites
      artifacts: true

sanity-db410c:
  extends:
    - .sanity
  variables:
    ARCH: arm64
    DEVICE_TYPE: dragonboard-410c
  needs:
    - build-arm64-gcc-9
    - job: download_prerequisites
      artifacts: true

sanity-hikey:
  extends:
    - .sanity
  variables:
    ARCH: arm64
    DEVICE_TYPE: hi6220-hikey
  needs:
    - build-arm64-gcc-9
    - job: download_prerequisites
      artifacts: true

sanity-juno:
  extends:
    - .sanity
  variables:
    ARCH: arm64
    DEVICE_TYPE: juno-r2
  needs:
    - build-arm64-gcc-9
    - job: download_prerequisites
      artifacts: true

sanity-x15:
  extends:
    - .sanity
  variables:
    ARCH: arm
    DEVICE_TYPE: x15
  needs:
    - build-arm-gcc-9
    - job: download_prerequisites
      artifacts: true

sanity-x86_64:
  extends:
    - .sanity
  variables:
    ARCH: x86
    DEVICE_TYPE: x86
  needs:
    - build-x86-gcc-9
    - job: download_prerequisites
      artifacts: true
